 /* Gnofract -- a little fractal generator-browser program
    * Copyright (C) 1999 2000 Aurelien Alleaume
    *
    *
    * This program is free software; you can redistribute it and/or modify
    * it under the terms of the GNU General Public License as published by
    * the Free Software Foundation; either version 2 of the License, or
    * (at your option) any later version.
    *
    * This program is distributed in the hope that it will be useful,
    * but WITHOUT ANY WARRANTY; without even the implied warranty of
    * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    * GNU General Public License for more details.
    *
    * You should have received a copy of the GNU General Public License
    * along with this program; if not, write to the Free Software
    * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
    *
  */

struct rgb {
	unsigned char r;
	unsigned char g;
	unsigned char b;
} rgb;

struct param_image {
	struct rgb *tmp_img;
	struct rgb *cmap;	/* pointer for the color map */
	char formula_file_name[256];
	char cmap_file_name[256];
	int Xres;
	int Yres;
	double xmin;
	double ymin;
	double xmax;
	double ymax;
	int eject_val;
	int nbit_max;
	int fractal_type;	/* 0 : builtin mandelbrot. Other value : formula loaded as plugin */
	int cmap_flag;		/* 0 : builtin cmap. Other value : cmap loaded   */
	int aa_profondeur;
};
